> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List all apps for org

GET https://api-sandbox.payabli.com/api/Query/boarding/{orgId}

Returns a list of boarding applications for an organization. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/boarding/get-list-of-applications-for-an-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/boarding/{orgId}:
    get:
      operationId: list-applications
      summary: Get list of applications for an organization
      description: >-
        Returns a list of boarding applications for an organization. Use filters
        to limit results. Include the `exportFormat` query parameter to return
        the results as a file instead of a JSON response.
      tags:
        - subpackage_boarding
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          description: >-
            Export format for file downloads. When specified, returns data as a
            file instead of JSON.
          required: false
          schema:
            $ref: '#/components/schemas/ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:

            - `createdAt` (gt, ge, lt, le, eq, ne)

            - `startDate` (gt, ge, lt, le, eq, ne)

            - `dbaname` (ct, nct)

            - `legalname` (ct, nct)

            - `ein` (ct, nct)

            - `address` (ct, nct)

            - `city` (ct, nct)

            - `state` (ct, nct)

            - `phone` (ct, nct)

            - `mcc` (ct, nct)

            - `owntype` (ct, nct)

            - `ownerName` (ct, nct)

            - `contactName` (ct, nct)

            - `status` (in, nin, eq,ne)

            - `orgParentname` (ct, nct)

            - `externalpaypointID` (ct, nct, eq, ne)

            - `repCode` (ct, nct, eq, ne)

            - `repName` (ct, nct, eq, ne)

            - `repOffice` (ct, nct, eq, ne)

            List of comparison accepted - enclosed between parentheses:

            - eq or empty => equal

            - gt => greater than

            - ge => greater or equal

            - lt => less than

            - le => less or equal

            - ne => not equal

            - ct => contains

            - nct => not contains

            - in => inside array

            - nin => not inside array
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryBoardingAppsListResponse'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: |
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    Annualrevenue:
      type: number
      format: double
      description: Annual revenue amount.
      title: Annualrevenue
    Avgmonthly:
      type: number
      format: double
      description: |
        Average total amount of transactions in your local currency that are
        processed each month.
      title: Avgmonthly
    Ticketamt:
      type: number
      format: double
      description: |
        The average transaction size that the business expects to process. For
        example, if you process $10,000 a month across 10 transactions, that's
        an average ticket of $1000.
      title: Ticketamt
    Baddress1:
      type: string
      description: |
        Business address. This must be a physical address, not a P.O. box.
      title: Baddress1
    Baddress2:
      type: string
      description: |
        Business address additional line. If used, this must be the physical
        address of the business, not a P.O. box.
      title: Baddress2
    AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    BankNickname:
      type: string
      description: User-defined name for the bank account.
      title: BankNickname
    BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    BankAccountFunction:
      type: integer
      description: >
        Indicates the function of the bank account:


        - `0` — Deposits

        - `1` — Withdrawals

        - `2` — Deposits & Withdrawals

        - `3` — Remittances

        - `4` — Remittances & Deposits

        - `5` — Remittances & Withdrawals

        - `6` — Remittances & Withdrawals & Deposits


        A paypoint is required to have a single deposit and withdrawal account.
        A

        paypoint can have as many remittance accounts as needed for pay outs

        (remittances).
      title: BankAccountFunction
    Bank:
      type: object
      properties:
        default:
          type: boolean
        country:
          type: string
        id:
          type: integer
          description: The Payabli-assigned internal identifier for the bank account.
        accountId:
          $ref: '#/components/schemas/AccountId'
          description: >-
            An identifier for the bank account, used to specify which account
            handles payments when multiple accounts are configured. If not
            provided during creation or update, the system generates one in the
            format `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. The mask always uses five `x` characters regardless of
            account number length. For example, account number `123456789`
            produces `acct-1xxxxx6789`. If a duplicate exists within the same
            service at the paypoint, a numeric suffix is appended, such as
            `acct-1xxxxx6789-2`. This value is also used as the identifier for
            the bank account's associated payment connector.
        nickname:
          $ref: '#/components/schemas/BankNickname'
        bankName:
          $ref: '#/components/schemas/BankName'
        routingAccount:
          $ref: '#/components/schemas/RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/BankAccountHolderType'
        bankAccountFunction:
          $ref: '#/components/schemas/BankAccountFunction'
        verified:
          type: boolean
          description: >-
            Bank account verification status. When `true`, the account has been
            verified to exist and be in good standing based on vendor checks or
            previous processing histories.
        status:
          type: integer
          description: Bank account status
        services:
          type: array
          items:
            type: string
          description: Array of services associated with this bank account
      description: Object that contains bank account details.
      title: Bank
    BankData:
      type: array
      items:
        $ref: '#/components/schemas/Bank'
      description: Information about associated bank accounts.
      title: BankData
    Bcity:
      type: string
      description: Business city.
      title: Bcity
    Bcountry:
      type: string
      description: |
        Business country in ISO-3166-1 alpha 2 format.
        See [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) for more
        information.
      title: Bcountry
    Bphone:
      type: string
      description: Business phone number.
      title: Bphone
    Binperson:
      type: integer
      description: |
        Numeric percent of volume processed in person. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binperson
    Binphone:
      type: integer
      description: |
        Numeric percent of volume processed by phone. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binphone
    Binweb:
      type: integer
      description: |
        Numeric percent of volume processed on web. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binweb
    BoardingLinkId:
      type: integer
      description: |
        The boarding link ID. This is found at the end of the boarding link
        reference name. For example:
        `https://boarding.payabli.com/boarding/app/myorgaccountname-00091`. The
        ID is `91`.
      title: BoardingLinkId
    BoardingStatus:
      type: integer
      description: >
        The application's status in the merchant boarding process. See

        [Boarding Status Reference](/developers/references/boarding-statuses)
        for

        more.
      title: BoardingStatus
    Busstartdate:
      type: string
      description: |
        Business start date. Accepted formats:

        - YYYY-MM-DD
        - MM/DD/YYYY
      title: Busstartdate
    Bstate:
      type: string
      description: Business state.
      title: Bstate
    Bsummary:
      type: string
      description: A summary of what the business sells in terms of goods or services.
      title: Bsummary
    ReadOnly:
      type: boolean
      description: When `true`, the element is read-only.
      title: ReadOnly
    RequiredElement:
      type: boolean
      description: When `true`, the element is required.
      title: RequiredElement
    ValueTemplates:
      type: string
      title: ValueTemplates
    LinkData:
      type: object
      properties:
        ro:
          $ref: '#/components/schemas/ReadOnly'
        rq:
          $ref: '#/components/schemas/RequiredElement'
        validator:
          type: string
          description: |
            The type of validation applied to the field. Available values:

            - `text`
            - `alpha`
            - `ein`
            - `url`
            - `phone`
            - `alphanumeric`
            - `zipcode`
            - `numbers`
            - `float`
            - `ssn`
            - `email`
            - `routing`
        value:
          $ref: '#/components/schemas/ValueTemplates'
      title: LinkData
    AchLinkTypes:
      type: object
      properties:
        ccd:
          $ref: '#/components/schemas/LinkData'
        ppd:
          $ref: '#/components/schemas/LinkData'
        web:
          $ref: '#/components/schemas/LinkData'
      title: AchLinkTypes
    LinkRow:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/LinkData'
      title: LinkRow
    BasicTable:
      type: object
      properties:
        body:
          type: array
          items:
            $ref: '#/components/schemas/LinkRow'
        header:
          $ref: '#/components/schemas/LinkRow'
      title: BasicTable
    AchSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/AchLinkTypes'
        fees:
          $ref: '#/components/schemas/BasicTable'
        price:
          $ref: '#/components/schemas/BasicTable'
      title: AchSection
    CardLinkTypes:
      type: object
      properties:
        amex:
          $ref: '#/components/schemas/LinkData'
        discover:
          $ref: '#/components/schemas/LinkData'
        mastercard:
          $ref: '#/components/schemas/LinkData'
        visa:
          $ref: '#/components/schemas/LinkData'
      title: CardLinkTypes
    CardSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/CardLinkTypes'
        fees:
          $ref: '#/components/schemas/BasicTable'
        price:
          $ref: '#/components/schemas/BasicTable'
      title: CardSection
    SSection:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/AchSection'
        card:
          $ref: '#/components/schemas/CardSection'
      title: SSection
    ASection:
      type: object
      properties:
        minimumDocuments:
          type: integer
        multipleContacts:
          type: boolean
        multipleOwners:
          type: boolean
      title: ASection
    Bnk:
      type: object
      properties:
        accountNumber:
          $ref: '#/components/schemas/LinkData'
        bankName:
          $ref: '#/components/schemas/LinkData'
        routingAccount:
          $ref: '#/components/schemas/LinkData'
        typeAccount:
          $ref: '#/components/schemas/LinkData'
      title: Bnk
    DSection:
      type: object
      properties:
        depositAccount:
          $ref: '#/components/schemas/Bnk'
        withdrawalAccount:
          $ref: '#/components/schemas/Bnk'
      title: DSection
    BAddress:
      type: object
      properties:
        baddress:
          $ref: '#/components/schemas/LinkData'
        baddress1:
          $ref: '#/components/schemas/LinkData'
        bcity:
          $ref: '#/components/schemas/LinkData'
        bcountry:
          $ref: '#/components/schemas/LinkData'
        bstate:
          $ref: '#/components/schemas/LinkData'
        bzip:
          $ref: '#/components/schemas/LinkData'
        maddress:
          $ref: '#/components/schemas/LinkData'
        maddress1:
          $ref: '#/components/schemas/LinkData'
        mcity:
          $ref: '#/components/schemas/LinkData'
        mcountry:
          $ref: '#/components/schemas/LinkData'
        mstate:
          $ref: '#/components/schemas/LinkData'
        mzip:
          $ref: '#/components/schemas/LinkData'
      title: BAddress
    BDetails:
      type: object
      properties:
        btype:
          $ref: '#/components/schemas/LinkData'
        dbaname:
          $ref: '#/components/schemas/LinkData'
        ein:
          $ref: '#/components/schemas/LinkData'
        faxnumber:
          $ref: '#/components/schemas/LinkData'
        legalname:
          $ref: '#/components/schemas/LinkData'
        license:
          $ref: '#/components/schemas/LinkData'
        licstate:
          $ref: '#/components/schemas/LinkData'
        phonenumber:
          $ref: '#/components/schemas/LinkData'
        startdate:
          $ref: '#/components/schemas/LinkData'
        taxfillname:
          $ref: '#/components/schemas/LinkData'
        website:
          $ref: '#/components/schemas/LinkData'
      title: BDetails
    BSection:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/BAddress'
        details:
          $ref: '#/components/schemas/BDetails'
      title: BSection
    CList:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/LinkData'
        contactName:
          $ref: '#/components/schemas/LinkData'
        contactPhone:
          $ref: '#/components/schemas/LinkData'
        contactTitle:
          $ref: '#/components/schemas/LinkData'
      title: CList
    OList:
      type: object
      properties:
        oaddress:
          $ref: '#/components/schemas/LinkData'
        ocity:
          $ref: '#/components/schemas/LinkData'
        ocountry:
          $ref: '#/components/schemas/LinkData'
        odriverstate:
          $ref: '#/components/schemas/LinkData'
        ostate:
          $ref: '#/components/schemas/LinkData'
        ownerdob:
          $ref: '#/components/schemas/LinkData'
        ownerdriver:
          $ref: '#/components/schemas/LinkData'
        owneremail:
          $ref: '#/components/schemas/LinkData'
        ownername:
          $ref: '#/components/schemas/LinkData'
        ownerpercent:
          $ref: '#/components/schemas/LinkData'
        ownerphone1:
          $ref: '#/components/schemas/LinkData'
        ownerphone2:
          $ref: '#/components/schemas/LinkData'
        ownerssn:
          $ref: '#/components/schemas/LinkData'
        ownertitle:
          $ref: '#/components/schemas/LinkData'
        ozip:
          $ref: '#/components/schemas/LinkData'
      title: OList
    OSection:
      type: object
      properties:
        contact_list:
          $ref: '#/components/schemas/CList'
        own_list:
          $ref: '#/components/schemas/OList'
      title: OSection
    PSection:
      type: object
      properties:
        avgmonthly:
          $ref: '#/components/schemas/LinkData'
        binperson:
          $ref: '#/components/schemas/LinkData'
        binphone:
          $ref: '#/components/schemas/LinkData'
        binweb:
          $ref: '#/components/schemas/LinkData'
        bsummary:
          $ref: '#/components/schemas/LinkData'
        highticketamt:
          $ref: '#/components/schemas/LinkData'
        mcc:
          $ref: '#/components/schemas/LinkData'
        ticketamt:
          $ref: '#/components/schemas/LinkData'
        whenCharged:
          $ref: '#/components/schemas/LinkData'
        whenDelivered:
          $ref: '#/components/schemas/LinkData'
        whenProvided:
          $ref: '#/components/schemas/LinkData'
        whenRefunded:
          $ref: '#/components/schemas/LinkData'
      title: PSection
    BuilderData:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/SSection'
        attributes:
          $ref: '#/components/schemas/ASection'
        banking:
          $ref: '#/components/schemas/DSection'
        business:
          $ref: '#/components/schemas/BSection'
        owners:
          $ref: '#/components/schemas/OSection'
        processing:
          $ref: '#/components/schemas/PSection'
      title: BuilderData
    Bzip:
      type: string
      description: Business ZIP.
      title: Bzip
    Email:
      type: string
      format: email
      description: Email address.
      title: Email
    AdditionalDataString:
      type: string
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system. Example usage:


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataString
    Contacts:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/AdditionalDataString'
      title: Contacts
    ContactsField:
      type: array
      items:
        $ref: '#/components/schemas/Contacts'
      description: List of contacts.
      title: ContactsField
    CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    Dbaname:
      type: string
      description: |
        The alternate or common name that this business is doing business under,
        usually referred to as a DBA name.
      title: Dbaname
    PairFiles:
      type: object
      properties:
        originalName:
          type: string
          description: Original filename
        zipName:
          type: string
          description: >-
            Filename assigned to zipped file. This is the name to use for
            reference in the API functions to get files in attachments.
        descriptor:
          type: string
          description: Descriptor of the file.
      title: PairFiles
    BoardingApplicationAttachments:
      type: object
      properties:
        filelist:
          type: array
          items:
            $ref: '#/components/schemas/PairFiles'
          description: Array of objects describing files contained in the ZIP file.
        zipfile:
          type: string
          description: Zip file containing attachments.
      title: BoardingApplicationAttachments
    Ein:
      type: string
      description: Business EIN or tax ID. This value is masked in API responses.
      title: Ein
    ExternalPaypointId:
      type: string
      description: |
        A custom identifier for the paypoint, if applicable.
      title: ExternalPaypointId
    Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    GeneralEvents:
      type: object
      properties:
        description:
          type: string
          description: Event description.
        eventTime:
          type: string
          format: date-time
          description: Event timestamp, in UTC.
        extraData:
          type:
            - string
            - 'null'
          description: Extra data.
        refData:
          type: string
          description: Reference data.
        source:
          $ref: '#/components/schemas/Source'
          description: The event source.
      title: GeneralEvents
    Highticketamt:
      type: number
      format: double
      description: Highest ticket amount.
      title: Highticketamt
    AppId:
      type: integer
      description: Boarding application ID.
      title: AppId
    LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    License:
      type: string
      description: Business license ID or state ID number.
      title: License
    Licensestate:
      type: string
      description: Business license issuing state or province.
      title: Licensestate
    FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided).
      title: FileContentFtype
    FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: |
            Content of file, Base64-encoded. Ignored if `furl` is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/FileContentFtype'
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely.
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    Maddress:
      type: string
      description: The business's mailing address.
      title: Maddress
    Maddress1:
      type: string
      description: Additional line for the business's mailing address.
      title: Maddress1
    Mstate:
      type: string
      description: The business's mailing address state.
      title: Mstate
    Mcountry:
      type: string
      description: Business mailing country.
      title: Mcountry
    Mzip:
      type: string
      description: Business mailing ZIP.
      title: Mzip
    Orgid:
      type: integer
      format: int64
      description: Organization ID. Unique identifier assigned to an org by Payabli.
      title: Orgid
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    Owners:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/AdditionalDataString'
      title: Owners
    Ownership:
      type: array
      items:
        $ref: '#/components/schemas/Owners'
      description: List of Owners with at least a 25% ownership.
      title: Ownership
    OwnType:
      type: string
      enum:
        - Limited Liability Company
        - Non-Profit Org
        - Partnership
        - Private Corp
        - Public Corp
        - Tax Exempt
        - Government
        - Sole Proprietor
      description: The business ownership type.
      title: OwnType
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    RecipientEmailNotification:
      type: boolean
      description: |
        When `true`, Payabli will send the applicant a boarding link. Set this
        value to `false` if you are sending pre-filled applications via the API
        and don't want Payabli to send the applicant an email to complete the
        boarding application.
      title: RecipientEmailNotification
    Resumable:
      type: boolean
      description: |
        When `true`, the applicant can save an incomplete application and
        resume it later. When `false`, the applicant won't have an option to
        save their progress, and must complete the application in one session.
      title: Resumable
    SalesCode:
      type: string
      title: SalesCode
    AchSetup:
      type: object
      properties:
        acceptCCD:
          type: boolean
          description: |
            CCD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Corporate Credit or Debit
            Entry.
        acceptPPD:
          type: boolean
          description: |
            PPD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Prearranged Payment and
            Deposit.
        acceptWeb:
          type: boolean
          description: |
            Web is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is an Internet-Initiated/Mobile
            Entry.
      description: |
        Configuration for which ACH SEC codes the user is allowed to use.
      title: AchSetup
    CardSetup:
      type: object
      properties:
        acceptAmex:
          type: boolean
          description: Determines whether American Express is accepted.
        acceptDiscover:
          type: boolean
          description: Determines whether Discover is accepted.
        acceptMastercard:
          type: boolean
          description: Determines whether Mastercard is accepted.
        acceptVisa:
          type: boolean
          description: Determines whether Visa is accepted.
      title: CardSetup
    OdpSetupProcessingRegion:
      type: string
      enum:
        - US
        - CA
      description: Region where payment processing occurs.
      title: OdpSetupProcessingRegion
    OdpSetup:
      type: object
      properties:
        allowAch:
          type: boolean
          description: Enables or disables ACH payout functionality
        allowChecks:
          type: boolean
          description: Enables or disables check printing payout functionality
        allowVCard:
          type: boolean
          description: Enables or disables vCard payout functionality
        processing_region:
          $ref: '#/components/schemas/OdpSetupProcessingRegion'
          description: Region where payment processing occurs
        processor:
          type: string
          description: Payment processor identifier
        issuerNetworkSettingsId:
          type: string
          description: Reference ID for the program enabled for ODP issuance
      title: OdpSetup
    Services:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/AchSetup'
        card:
          $ref: '#/components/schemas/CardSetup'
        odp:
          $ref: '#/components/schemas/OdpSetup'
      description: Controls which services will be enabled for the merchant.
      title: Services
    SignerName:
      type: string
      description: The signer's name.
      title: SignerName
    SignerSsn:
      type: string
      description: The signer's SSN.
      title: SignerSsn
    SignerDob:
      type: string
      description: The signer's date of birth.
      title: SignerDob
    SignerPhone:
      type: string
      description: The signer's phone number.
      title: SignerPhone
    Signeraddress:
      type: string
      description: |
        The signer's address. This must be the physical address of the signer,
        not a P.O. box.
      title: Signeraddress
    SignerAddress1:
      type: string
      description: |
        Additional line for the signer's address. If used, this must be the
        physical address of the signer, not a P.O. box.
      title: SignerAddress1
    SignerCity:
      type: string
      description: The signer's city.
      title: SignerCity
    SignerState:
      type: string
      description: The signer's state.
      title: SignerState
    SignerZip:
      type: string
      description: The signer's ZIP code.
      title: SignerZip
    SignerCountry:
      type: string
      description: |
        The signer's country in ISO-3166-1 alpha 2 format. See
        [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) for more.
      title: SignerCountry
    SignerAcceptance:
      type: boolean
      description: |
        The signer's acceptance status. A true or false indicating an
        acceptance to the terms of service with the root org or provider.
      title: SignerAcceptance
    PciAttestation:
      type: boolean
      description: >
        When `true`, indicates that the merchant acknowledges PCI
        responsibilities

        and can be enrolled in the PCI program for breach insurance.
      title: PciAttestation
    AttestationDate:
      type: string
      description: |
        Date the attestation was provided for PCI Compliance (`pciAttestation`),
        in MM/DD/YYYY format.
      title: AttestationDate
    SignDate:
      type: string
      description: |
        Date when the signer signed the document. Accepted formats:
        YYYY-MM-DD, MM/DD/YYYY.
      title: SignDate
    AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system.


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    SignerData:
      type: object
      properties:
        signerUuid:
          type: string
          description: The signer's ID. This is automatically generated by Payabli.
        name:
          $ref: '#/components/schemas/SignerName'
        ssn:
          $ref: '#/components/schemas/SignerSsn'
        dob:
          $ref: '#/components/schemas/SignerDob'
        phone:
          $ref: '#/components/schemas/SignerPhone'
        email:
          $ref: '#/components/schemas/Email'
          description: The signer's email address.
        address:
          $ref: '#/components/schemas/Signeraddress'
        address1:
          $ref: '#/components/schemas/SignerAddress1'
        city:
          $ref: '#/components/schemas/SignerCity'
        state:
          $ref: '#/components/schemas/SignerState'
        zip:
          $ref: '#/components/schemas/SignerZip'
        country:
          $ref: '#/components/schemas/SignerCountry'
        acceptance:
          $ref: '#/components/schemas/SignerAcceptance'
        signedDocumentReference:
          type: string
          description: Reference to the signed document.
        pciAttestation:
          $ref: '#/components/schemas/PciAttestation'
        attestationDate:
          $ref: '#/components/schemas/AttestationDate'
        signDate:
          $ref: '#/components/schemas/SignDate'
        additionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
      description: Information about the application's signer.
      title: SignerData
    Taxfillname:
      type: string
      description: |
        Business name in tax document. This is only relevant if a government
        entity has given you an alternative name to file tax documents with.
      title: Taxfillname
    TemplateId:
      type: integer
      format: int64
      description: The associated boarding template's ID in Payabli.
      title: TemplateId
    Website:
      type: string
      description: |
        The business website address. Include only the domain and TLD, do not
        enter the protocol (`http`/`https`). For example: `www.example.com` is
        acceptable.
      title: Website
    Whencharged:
      type: string
      enum:
        - When Service Provided
        - In Advance
      description: |
        Describes when customers are charged for goods or services.
      title: Whencharged
    Whendelivered:
      type: string
      enum:
        - 0-7 Days
        - 8-14 Days
        - 15-30 Days
        - Over 30 Days
      description: When goods and services are delivered.
      title: Whendelivered
    Whenprovided:
      type: string
      enum:
        - 30 Days or Less
        - 31 to 60 Days
      description: |
        Describes when goods or services are provided, from time of transaction.
      title: Whenprovided
    Whenrefunded:
      type: string
      enum:
        - Exchange Only
        - No Refund or Exchange
        - More than 30 days
        - 30 Days or Less
      description: Describes the business refund policy.
      title: Whenrefunded
    RepCode:
      type: string
      description: |
        Sales representative code. This is an optional field that can be used
        to track the sales representative associated with the application.
      title: RepCode
    RepName:
      type: string
      description: |
        Sales representative name. This is an optional field that can be used
        to track the sales representative associated with the application.
      title: RepName
    RepOffice:
      type: string
      description: |
        Sales representative office location. This is an optional field that
        can be used to track the sales representative office associated with
        the application.
      title: RepOffice
    ApplicationQueryRecord:
      type: object
      properties:
        annualRevenue:
          $ref: '#/components/schemas/Annualrevenue'
        averageMonthlyVolume:
          $ref: '#/components/schemas/Avgmonthly'
        averageTicketAmount:
          $ref: '#/components/schemas/Ticketamt'
        bAddress1:
          $ref: '#/components/schemas/Baddress1'
        bAddress2:
          $ref: '#/components/schemas/Baddress2'
        bankData:
          $ref: '#/components/schemas/BankData'
        bCity:
          $ref: '#/components/schemas/Bcity'
        bCountry:
          $ref: '#/components/schemas/Bcountry'
        bFax:
          $ref: '#/components/schemas/Bphone'
          description: The business's fax number.
        binPerson:
          $ref: '#/components/schemas/Binperson'
        binPhone:
          $ref: '#/components/schemas/Binphone'
        binWeb:
          $ref: '#/components/schemas/Binweb'
        boardingLinkId:
          $ref: '#/components/schemas/BoardingLinkId'
        boardingStatus:
          $ref: '#/components/schemas/BoardingStatus'
        boardingSubStatus:
          $ref: '#/components/schemas/BoardingStatus'
        bPhone:
          $ref: '#/components/schemas/Bphone'
        bStartdate:
          $ref: '#/components/schemas/Busstartdate'
        bState:
          $ref: '#/components/schemas/Bstate'
        bSummary:
          $ref: '#/components/schemas/Bsummary'
        builderData:
          $ref: '#/components/schemas/BuilderData'
        bZip:
          $ref: '#/components/schemas/Bzip'
        contactData:
          $ref: '#/components/schemas/ContactsField'
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
        dbaName:
          $ref: '#/components/schemas/Dbaname'
        documentsRef:
          $ref: '#/components/schemas/BoardingApplicationAttachments'
        ein:
          $ref: '#/components/schemas/Ein'
        externalPaypointId:
          $ref: '#/components/schemas/ExternalPaypointId'
        generalEvents:
          type: array
          items:
            $ref: '#/components/schemas/GeneralEvents'
          description: Events associated with the application.
        highTicketAmount:
          $ref: '#/components/schemas/Highticketamt'
        idApplication:
          $ref: '#/components/schemas/AppId'
        lastModified:
          $ref: '#/components/schemas/LastModified'
        legalName:
          $ref: '#/components/schemas/Legalname'
        license:
          $ref: '#/components/schemas/License'
        licenseState:
          $ref: '#/components/schemas/Licensestate'
        logo:
          $ref: '#/components/schemas/FileContent'
          description: Object containing logo file.
        mAddress1:
          $ref: '#/components/schemas/Maddress'
        mAddress2:
          $ref: '#/components/schemas/Maddress1'
        mccid:
          type: string
        mCity:
          $ref: '#/components/schemas/Mstate'
        mCountry:
          $ref: '#/components/schemas/Mcountry'
        mState:
          $ref: '#/components/schemas/Mstate'
        mZip:
          $ref: '#/components/schemas/Mzip'
        orgId:
          $ref: '#/components/schemas/Orgid'
        orgParentName:
          $ref: '#/components/schemas/OrgParentName'
        ownerData:
          $ref: '#/components/schemas/Ownership'
        ownType:
          $ref: '#/components/schemas/OwnType'
        pageidentifier:
          $ref: '#/components/schemas/PageIdentifier'
        recipientEmailNotification:
          $ref: '#/components/schemas/RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/Resumable'
        salesCode:
          $ref: '#/components/schemas/SalesCode'
        serviceData:
          $ref: '#/components/schemas/Services'
        signer:
          $ref: '#/components/schemas/SignerData'
        taxfillname:
          $ref: '#/components/schemas/Taxfillname'
        templateId:
          $ref: '#/components/schemas/TemplateId'
        websiteAddress:
          $ref: '#/components/schemas/Website'
        whencharged:
          $ref: '#/components/schemas/Whencharged'
        whendelivered:
          $ref: '#/components/schemas/Whendelivered'
        whenProvided:
          $ref: '#/components/schemas/Whenprovided'
        whenrefund:
          $ref: '#/components/schemas/Whenrefunded'
        additionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
        RepCode:
          $ref: '#/components/schemas/RepCode'
        RepName:
          $ref: '#/components/schemas/RepName'
        RepOffice:
          $ref: '#/components/schemas/RepOffice'
      title: ApplicationQueryRecord
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
      title: QuerySummary
    QueryBoardingAppsListResponse:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationQueryRecord'
        Summary:
          $ref: '#/components/schemas/QuerySummary'
      title: QueryBoardingAppsListResponse
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## Examples



**Response**

```json
{
  "Records": [
    {
      "annualRevenue": 1000,
      "averageMonthlyVolume": 1000,
      "averageTicketAmount": 1000,
      "bAddress1": "123 Walnut Street",
      "bAddress2": "Suite 103",
      "bankData": [
        {
          "id": 1,
          "accountId": "123-456",
          "nickname": "Business Checking 1234",
          "bankName": "Country Bank",
          "routingAccount": "123123123",
          "accountNumber": "1XXXXXX3123",
          "typeAccount": "Checking",
          "bankAccountHolderName": "Gruzya Adventure Outfitters LLC",
          "bankAccountHolderType": "Personal",
          "bankAccountFunction": 1
        },
        {
          "id": 1,
          "accountId": "123-456",
          "nickname": "Business Checking 1234",
          "bankName": "Country Bank",
          "routingAccount": "123123123",
          "accountNumber": "1XXXXXX3123",
          "typeAccount": "Checking",
          "bankAccountHolderName": "Gruzya Adventure Outfitters LLC",
          "bankAccountHolderType": "Personal",
          "bankAccountFunction": 0
        }
      ],
      "bCity": "New Vegas",
      "bCountry": "US",
      "bFax": "5551234567",
      "binPerson": 60,
      "binPhone": 20,
      "binWeb": 20,
      "boardingLinkId": 91,
      "boardingStatus": 1,
      "boardingSubStatus": 1,
      "bPhone": "5551234567",
      "bStartdate": "01/01/1990",
      "bState": "FL",
      "bSummary": "Brick and mortar store that sells office supplies",
      "bZip": "33000",
      "contactData": [
        {}
      ],
      "createdAt": "2022-07-01T15:00:01Z",
      "dbaName": "Sunshine Gutters",
      "ein": "123456789",
      "externalPaypointId": "Paypoint-100",
      "generalEvents": [
        {
          "description": "TransferCreated",
          "eventTime": "2023-07-05T22:31:06Z"
        }
      ],
      "highTicketAmount": 1000,
      "idApplication": 352,
      "lastModified": "2022-07-01T15:00:01Z",
      "legalName": "Sunshine Services, LLC",
      "license": "2222222FFG",
      "licenseState": "CA",
      "mAddress1": "123 Walnut Street",
      "mAddress2": "STE 900",
      "mccid": "mccid",
      "mCity": "TN",
      "mCountry": "US",
      "mState": "TN",
      "mZip": "37615",
      "orgId": 123,
      "orgParentName": "PropertyManager Pro",
      "ownerData": [
        {}
      ],
      "ownType": "Limited Liability Company",
      "pageidentifier": "null",
      "recipientEmailNotification": true,
      "resumable": false,
      "salesCode": "salesCode",
      "taxfillname": "Sunshine LLC",
      "templateId": 22,
      "websiteAddress": "www.example.com",
      "whencharged": "When Service Provided",
      "whendelivered": "0-7 Days",
      "whenProvided": "30 Days or Less",
      "whenrefund": "Exchange Only"
    }
  ],
  "Summary": {
    "pageIdentifier": "null",
    "pageSize": 20,
    "totalAmount": 77.22,
    "totalNetAmount": 77.22,
    "totalPages": 2,
    "totalRecords": 2
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.boarding.listApplications(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.boarding.list_applications(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.boarding.requests.ListApplicationsRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.boarding().listApplications(
            123,
            ListApplicationsRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.boarding.list_applications(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Boarding.ListApplicationsAsync(
            123,
            new ListApplicationsRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListApplicationsRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Boarding.ListApplications(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Boarding\Requests\ListApplicationsRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->boarding->listApplications(
    123,
    new ListApplicationsRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/boarding/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```